GuideLab API

Assign partnerships to a practice group

Assign one or more active partnerships to an active practice group. All partnerships must belong to the current lab. Lab manager only.

POST
/practice-groups/{id}/partnerships

Assign one or more active partnerships to an active practice group. All partnerships must belong to the current lab. Lab manager only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/practice-groups/550e8400-e29b-41d4-a716-446655440000/partnerships" \  -H "Content-Type: application/json" \  -d '{    "partnershipIds": [      "string"    ]  }'
{  "data": [    null  ],  "message": "string"}
Empty
Empty
Empty
Empty
Empty